Skip to main content
POST
Create storage category

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Body

application/json
name
string
required

Storage category name. Must not be greater than 255 characters.

Example:

"Heavy Goods"

allow_new_products
enum<string>
required

Policy for new products.

Available options:
empty,
same,
mixed
Example:

"mixed"

max_weight
number | null

Maximum allowed weight. Must be at least 0. Must not be greater than 99999999.

Example:

500

company_id
integer | null

Company ID. The id of an existing record in the companies table.

Example:

1

Response

Created